> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.whizcozy.com/api-reference/whiz-board-api/file-ai/stream-file-ai-chat-api-v-1-firms-firm-slug-ai-chat-stream-post/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server. # Stream File Ai Chat POST https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/{firm_slug}/ai/chat/stream Content-Type: application/json Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/file-ai/stream-file-ai-chat-api-v-1-firms-firm-slug-ai-chat-stream-post ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Path parameters - `firm_slug` (string, required) ### Body (application/json) This endpoint expects a FileAIChatStreamRequest. - `message` (string, required) - `session_id` (integer, optional, nullable) - `selected_file_ids` (list of integer, optional) - `context` (FileAIChatContextInput, optional) - `include_thoughts` (boolean, optional, default: false) - `reasoning_level` (enum, optional, nullable) - Allowed values: `low`, `medium`, `high` ## Response ### 200 Successful Response - `any` ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### FileAIChatContextInput - `files` (list of FileAIChatAttachmentInput, optional) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) - `input` (any, optional) - `ctx` (ValidationErrorCtx, optional) ### FileAIChatAttachmentInput - `file_id` (integer, required) - `source` (enum, optional, default: my_files) - Allowed values: `my_files`, `chat_upload` - `display_name` (string, optional, nullable) - `mime_type` (string, optional, nullable) ### ValidationErrorLocItems ### ValidationErrorCtx ## Examples **Request** ```json { "message": "string" } ``` **SDK Code** ```python import requests url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/ai/chat/stream" payload = { "message": "string" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/ai/chat/stream'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"message":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/ai/chat/stream" payload := strings.NewReader("{\n \"message\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/ai/chat/stream") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"message\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/ai/chat/stream") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"message\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/ai/chat/stream', [ 'body' => '{ "message": "string" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/ai/chat/stream"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"message\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["message": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/firms/firm_slug/ai/chat/stream")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```